#!/usr/bin/env octave

N=8000; A=5; fx=100; fp=8000;
dt=1/fp;
t=dt*(0:N-1);

deltaf=40; %dewiacja czestotliwosci
fm = fx/20;

mf = deltaf/fm;
sn = A*cos(2*pi*fx*t);
sa = A*cos(2*pi*fx*t + pi *sin(2*pi*fm.*t) ); 
sm =mf*cos(2*pi*fm*t);

sn = A * cos(2*pi*fx*t);;

clf;
subplot(311); plot(t(1:2000),sn(1:2000)); grid; title('Sygna nony sn(t)'); xlabel('czas [s]');
subplot(312); plot(t(1:2000),sm(1:2000)); grid; title('Sygna modulujcy sm(t)'); xlabel('czas [s]');
subplot(313); plot(t(1:2000),sa(1:2000)); grid; title('Sygna zmodulowany sa(t)'); xlabel('czas [s]');

pause;


clf;
X = fft(sa);   %szybka, dyskretna transformacja Fouriera
df = 1/(N*dt); %czstotliwo podstawowa f0=df=1/T=1/(N*dt)
f= df*(0:N-1);   %kolejne czstotliwoci w szeregu Fouriera
plot(f(1:N/32+1),abs(X(1:N/32+1))/(N/2)); grid; title('Po wyskalowaniu - i ograniczona czestosc'); pause
